# Class JsonAccessLogValve.CharElement

java.lang.Object
org.apache.catalina.valves.JsonAccessLogValve.CharElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `JsonAccessLogValve`

protected static class JsonAccessLogValve.CharElement extends Object implements AbstractAccessLogValve.AccessLogElement
write any char

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharElement(char ch)`
  Constructs a new CharElement.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CharElement

    public CharElement(char ch)
    Constructs a new CharElement.
    Parameters:
      `ch` - the character to write

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`